## org.apache.batik.bridge
Class SVGAElementBridge.CursorMouseOutListener

    java.lang.Object
      org.apache.batik.bridge.SVGAElementBridge.CursorMouseOutListener

All Implemented Interfaces:
  EventListener

Enclosing class:
  SVGAElementBridge

    public static class SVGAElementBridge.CursorMouseOutListener

extends java.lang.Object
implements EventListener

To handle a mouseout on an anchor and set the cursor.

Field Summary
`protected SVGAElementBridge.CursorHolder` `holder`
`protected UserAgent` `userAgent`

Constructor Summary
`SVGAElementBridge.CursorMouseOutListener(UserAgent ua, SVGAElementBridge.CursorHolder ch)`

Method Summary
`void` `handleEvent(Event evt)` This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### userAgent

    protected UserAgent userAgent

### holder

    protected SVGAElementBridge.CursorHolder holder

Constructor Detail

### SVGAElementBridge.CursorMouseOutListener

    public SVGAElementBridge.CursorMouseOutListener(UserAgent ua,
                                                    SVGAElementBridge.CursorHolder ch)

Method Detail

### handleEvent

    public void handleEvent(Event evt)

  Description copied from interface: `EventListener`
  This method is called whenever an event occurs of the event type for which the `EventListener` interface was registered.

  Specified by:
    `handleEvent` in interface `EventListener`
  Parameters:
    `evt` - The `Event` contains contextual information about the event.

Copyright © 2008 Apache Software Foundation. All Rights Reserved.